> ## Documentation Index
> Fetch the complete documentation index at: https://cal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Report MCP feedback

> Record negative feedback about Cal.com tools for triage. Limited to 30 requests per minute per authenticated user across credentials. Details must not contain personal information.



## OpenAPI

````yaml /api-reference/v2/openapi.json post /v2/feedback
openapi: 3.0.0
info:
  title: Cal.com API v2
  description: ''
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v2/feedback:
    post:
      tags:
        - Feedback
      summary: Report MCP feedback
      description: >-
        Record negative feedback about Cal.com tools for triage. Limited to 30
        requests per minute per authenticated user across credentials. Details
        must not contain personal information.
      operationId: FeedbackController_report
      parameters:
        - name: Authorization
          in: header
          description: >-
            value must be `Bearer <token>` where `<token>` is api key prefixed
            with cal_, managed user access token, or OAuth access token
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReportFeedbackInput'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportFeedbackOutput'
components:
  schemas:
    ReportFeedbackInput:
      type: object
      properties:
        reasons:
          type: array
          minItems: 1
          items:
            type: string
            enum:
              - wrong_date_or_time
              - wrong_person_or_event
              - missing_or_incomplete_information
              - looked_in_wrong_place
              - did_not_do_what_i_asked
              - lost_context
              - slow_or_buggy
              - other
          maxItems: 8
        details:
          type: string
          maxLength: 1000
          description: Short feedback without names, emails or other personal information.
        toolName:
          type: string
          pattern: ^[a-z0-9_]{1,64}$
          description: >-
            The MCP tool this feedback is about, including a needed tool that is
            missing.
      required:
        - reasons
    ReportFeedbackOutput:
      type: object
      properties:
        saved:
          type: boolean
      required:
        - saved

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.